\name{lib.sub}
\alias{lib.sub}
\docType{data}
\title{
DRB1 cDNA sequences
}
\description{
DRB1 cDNA sequences, with 0 denote the same as reference (DRB1*0101) 
}
\usage{data(lib.sub)}
\format{
  A data frame with 10 DRB1 alleles (those unique alleles in cases + controls) on the following 92 nucleic acid bases. Column names denote the amino acid position. e.g., X.25.1 means the first nucleic acid base on the -25th amino acid, X9.2 means the second nucleic acid base on the 9th amino acid of DRB1 allele, etc
  \describe{
    \item{\code{X.25.1}}{a factor with levels \code{0} \code{G}}
    \item{\code{X.24}}{a factor with levels \code{0} \code{T}}
    \item{\code{X.17}}{a factor with levels \code{0} \code{G}}
    \item{\code{X.16.1}}{a factor with levels \code{0} \code{T}}
    \item{\code{X.16.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X.1}}{a factor with levels \code{0} \code{T}}
    \item{\code{X4}}{a factor with levels \code{0} \code{A}}
    \item{\code{X4.1}}{a factor with levels \code{0} \code{A}}
    \item{\code{X8}}{a factor with levels \code{0} \code{C}}
    \item{\code{X9}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X9.1}}{a factor with levels \code{0} \code{A}}
    \item{\code{X9.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X10.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X11}}{a factor with levels \code{0} \code{A} \code{G} \code{T}}
    \item{\code{X11.1}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X12.2}}{a factor with levels \code{0} \code{3} \code{A} \code{C}}
    \item{\code{X13}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X13.1}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X13.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X14}}{a factor with levels \code{0} \code{A} \code{T}}
    \item{\code{X14.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X16}}{a factor with levels \code{0} \code{A} \code{T}}
    \item{\code{X18.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X19.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X21.2}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X23}}{a factor with levels \code{0} \code{3} \code{4} \code{A} \code{G}}
    \item{\code{X23.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X24.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X26.1}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X26.2}}{a factor with levels \code{0} \code{A} \code{C} \code{T}}
    \item{\code{X28}}{a factor with levels \code{0} \code{C}}
    \item{\code{X28.2}}{a factor with levels \code{0} \code{C} \code{G}}
    \item{\code{X30}}{a factor with levels \code{0} \code{C} \code{G}}
    \item{\code{X30.1}}{a factor with levels \code{0} \code{A} \code{C} \code{T}}
    \item{\code{X30.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X31}}{a factor with levels \code{0} \code{G} \code{T}}
    \item{\code{X32}}{a factor with levels \code{0} \code{C} \code{G}}
    \item{\code{X32.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X33}}{a factor with levels \code{0} \code{C}}
    \item{\code{X34.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X35.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X37}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X37.1}}{a factor with levels \code{0} \code{2} \code{A} \code{T}}
    \item{\code{X37.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X43.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X44.2}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X47.1}}{a factor with levels \code{0} \code{2} \code{T}}
    \item{\code{X47.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X48.2}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X51.2}}{a factor with levels \code{0} \code{A} \code{C} \code{T}}
    \item{\code{X52.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X55.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X57}}{a factor with levels \code{0} \code{A}}
    \item{\code{X57.1}}{a factor with levels \code{0} \code{C} \code{G} \code{T}}
    \item{\code{X57.2}}{a factor with levels \code{0} \code{A} \code{C} \code{G}}
    \item{\code{X58.2}}{a factor with levels \code{0} \code{G} \code{T}}
    \item{\code{X59.2}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X60.1}}{a factor with levels \code{0} \code{2} \code{C}}
    \item{\code{X67}}{a factor with levels \code{0} \code{2} \code{A} \code{G} \code{T}}
    \item{\code{X67.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X68.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X69.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X70.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X70.3}}{a factor with levels \code{0} \code{2} \code{G}}
    \item{\code{X70.4}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X71}}{a factor with levels \code{0} \code{G} \code{T}}
    \item{\code{X71.1}}{a factor with levels \code{0} \code{2} \code{A} \code{C}}
    \item{\code{X72.2}}{a factor with levels \code{0} \code{C} \code{T}}
    \item{\code{X73.1}}{a factor with levels \code{0} \code{G} \code{T}}
    \item{\code{X73.2}}{a factor with levels \code{0} \code{A} \code{T}}
    \item{\code{X74}}{a factor with levels \code{0} \code{A} \code{C}}
    \item{\code{X74.1}}{a factor with levels \code{0} \code{2} \code{A} \code{G} \code{T}}
    \item{\code{X75.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X78}}{a factor with levels \code{0} \code{C} \code{G}}
    \item{\code{X78.1}}{a factor with levels \code{0} \code{T}}
    \item{\code{X78.2}}{a factor with levels \code{0} \code{A} \code{G} \code{T}}
    \item{\code{X83.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X86.1}}{a factor with levels \code{0} \code{A} \code{C} \code{T}}
    \item{\code{X86.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X90.2}}{a factor with levels \code{0} \code{G}}
    \item{\code{X93}}{a factor with levels \code{0} \code{A}}
    \item{\code{X95.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X96}}{a factor with levels \code{0} \code{C} \code{T}}
    \item{\code{X96.2}}{a factor with levels \code{0} \code{A} \code{T}}
    \item{\code{X98}}{a factor with levels \code{0} \code{G}}
    \item{\code{X120.1}}{a factor with levels \code{0} \code{A}}
    \item{\code{X140}}{a factor with levels \code{0} \code{A}}
    \item{\code{X179.2}}{a factor with levels \code{0} \code{C}}
    \item{\code{X181.2}}{a factor with levels \code{0} \code{A}}
    \item{\code{X206.2}}{a factor with levels \code{0} \code{T}}
    \item{\code{X217}}{a factor with levels \code{0} \code{T}}
    \item{\code{X233.1}}{a factor with levels \code{0} \code{G}}

  }
}
%\details{
%%  ~~ If necessary, more details than the __description__ above ~~
%}
%\source{
%%  ~~ reference to a publication or URL from which the data were obtained ~~
%}
%\references{
%%  ~~ possibly secondary sources and usages ~~
%}
\examples{
data(lib.sub)
## maybe str(lib.sub) ; plot(lib.sub) ...
}
\keyword{datasets}
